uk.gov.hmrc.address.v2

# Address

###
Related Docs: object Address | package v2

#### case class Address(lines: List[String], town: Option[String], county: Option[String], postcode: String, subdivision: Option[Country], country: Country) extends Product with Serializable

Address typically represents a postal address. For UK addresses, 'town' will always be present. For non-UK addresses, 'town' may be absent and there may be an extra line instead.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Address
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Address(lines: List[String], town: Option[String], county: Option[String], postcode: String, subdivision: Option[Country], country: Country)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def asInternational: International

6. #### def asV1: v1.Address

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val country: Country

9. #### val county: Option[String]

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def isValid: Boolean

    Annotations
      @JsonIgnore()

15. #### def line1: String

16. #### def line2: String

17. #### def line3: String

18. #### def line4: String

19. #### val lines: List[String]

20. #### def longestLineLength: Int

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def nonEmptyFields: List[String]

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### val postcode: String

26. #### def printable(separator: String): String

    Gets a conjoined representation, excluding the country.

27. #### lazy val printable: String

    Gets a single-line representation, excluding the country.

28. #### val subdivision: Option[Country]

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### val town: Option[String]

31. #### def truncatedAddress(maxLen: Int = maxLineLength): Address

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped